Skip to content

Updates a usage plan set.

PUT
/api/v1/provision/admin/usage-plans/plan-sets/{planSetId}
curl --request PUT \
--url https://example.com/api/v1/provision/admin/usage-plans/plan-sets/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "description": "example", "status": 1, "plans": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "sortOrder": 1, "featureValues": [ { "featureCode": "example", "enforcementType": 1, "value": "example", "usageTiers": [ { "startUsage": 1, "startPercentage": 1, "endUsage": 1, "endPercentage": 1, "baseCredits": 1, "creditsPerUnitOfConsumption": 1, "name": "example", "quotaUsageLevel": 1, "quotaUsagePolicy": 1 } ] } ] } ] }'
planSetId
required
string format: uuid

Plan set id.

Updated payload.

object
name
string
description
string
status
integer
plans
Array<object> | null

A usage plan such as “basic”, “standard”, or “professional”.

object
id
string format: uuid
name
string
description
string
sortOrder
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
featureValues
Array<object>

Defines a feature value override for a specific plan tier. Value is stored as string to support bool, enum, string, and json field values.

object
featureCode
string
enforcementType
integer
value
null | string
usageTiers
Array<object>

Represents a tier of usage with associated credits and severity status.

object
startUsage

Gets or sets the start usage for the tier.

null | number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$/
startPercentage
null | number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$/
endUsage

Gets or sets the end usage for the tier. Nullable.

null | number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$/
endPercentage
null | number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$/
baseCredits

Gets or sets the flat fee credits for the tier.

number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?$/
creditsPerUnitOfConsumption

Gets or sets the credits per unit of consumption for the tier.

number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?$/
name

Gets or sets the name of the usage tier.

string
quotaUsageLevel

Gets or sets the overage severity status for the tier.

integer
quotaUsagePolicy

Defines the enforcement behavior applied by the resource controller or interceptor when a specific usage tier threshold is reached. Ordered from least to most restrictive.

integer
Example generated
{
"name": "example",
"description": "example",
"status": 1,
"plans": [
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"name": "example",
"description": "example",
"sortOrder": 1,
"featureValues": [
{
"featureCode": "example",
"enforcementType": 1,
"value": "example",
"usageTiers": [
{
"startUsage": 1,
"startPercentage": 1,
"endUsage": 1,
"endPercentage": 1,
"baseCredits": 1,
"creditsPerUnitOfConsumption": 1,
"name": "example",
"quotaUsageLevel": 1,
"quotaUsagePolicy": 1
}
]
}
]
}
]
}

OK

A named collection of usage plans (e.g. “My SaaS Plans”).

object
id
string format: uuid
productId
string format: uuid
name
string
description
string
status
integer
revisionDate
string format: date-time
plans
Array<object>

A usage plan such as “basic”, “standard”, or “professional”.

object
id
string format: uuid
name
string
description
string
sortOrder
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
featureValues
Array<object>

Defines a feature value override for a specific plan tier. Value is stored as string to support bool, enum, string, and json field values.

object
featureCode
string
enforcementType
integer
value
null | string
usageTiers
Array<object>

Represents a tier of usage with associated credits and severity status.

object
startUsage

Gets or sets the start usage for the tier.

null | number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$/
startPercentage
null | number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$/
endUsage

Gets or sets the end usage for the tier. Nullable.

null | number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$/
endPercentage
null | number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$/
baseCredits

Gets or sets the flat fee credits for the tier.

number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?$/
creditsPerUnitOfConsumption

Gets or sets the credits per unit of consumption for the tier.

number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?$/
name

Gets or sets the name of the usage tier.

string
quotaUsageLevel

Gets or sets the overage severity status for the tier.

integer
quotaUsagePolicy

Defines the enforcement behavior applied by the resource controller or interceptor when a specific usage tier threshold is reached. Ordered from least to most restrictive.

integer

Bad Request

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string

Not Found

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string